Version 1.4 Final Beta 7
	Bug Fixes
	---------
	* Wrong date display for UNIX hosts fixed
	* Wrong date set on downloaded files fixed
	* QuickConnect parameters are now presereved
	* Right-click on the scroll bar doesn't hang any more
	* Right-button menu now appears on button release
	  It's more consistent with Win95's practice

Version 1.4 Final Beta 6
	Bug fixes
	---------
	* Reduced CPU usage (32bit version)
	* Fixed duplicate parameters bug (e.g. in CHMOD command)
	* Accelerator keys are now working even while transfer is in progress

Version 1.4 Final Beta 5
	New Features
	------------
	* Custom commands (at last!!) (e.g. CHMOD, INDEX etc.)
	  [Commands->Custom Commands] menu
	  Help file entry for that thing is not ready yet, so look at
	  these notes and pre-installed commands. 
	  2 things needing explanation:
	    %f in command text will be replaced with filename of the
	       selected file. If more than one file selected, command
	       will execute once for each file. In unregistered version
	       this will process only the first 5 selected files.
	    %[] in command text will be replaced by a user-supplied text
	       during execution time. If anything is put between the 
	       brackets, it'll be displayed in prompt dialog's caption.

	* Auto-renaming for uploads. (e.g. auto HTM->HTML conversion)
	  Enabled from Site Edit dialog. Renaming scheme is editable
	  via [ FTP->Templates->Auto rename ] menu.
	  For registered users only.

	Bug fixes
	---------
	* I hope I fixed that nasty bug in 16bit version, which caused
	  CuteFTP to freeze on data transfers. Feedback on this would be
	  much appreciated.
	* You can go to hidden directories now (the ones that don't show up
	  in dir list, but can be changed into manually)


Version 1.4 Final Beta 4
	New features
	------------
	* Bookmarks.
	* 32bit version now uses multi-threading and will not run
	  under Win32s any more.
	* Improved support for Win95's Winsock.

	Bug Fixes
	---------
	* Reconnection bug fixed
	* Stop command improved. Now it's enough to hit Stop once to
	  cancel any operation.
	* Yet more polishing and small fixes.


Version 1.4 Final Beta 3
	New Features
	------------
	* "Resolve Links" option (for UNIX systems only)
	* Retry Delay option

	Bug Fixes
	---------
	* Several small bug fixes, mainly to 16bit version

Version 1.4 Final Beta 2
	New Features
	------------
	* Support for Chameleon FTP Server
	* Support for OpenVMS and VMX UCS servers
	* QuickConnect dialog extensions
	* Site Manager now shows host names along with comments
	* Click on InfoBar will bring up Change Dir dialog
	* Configurable text files extensions list.
	
	Bug Fixes
	---------
	* Several firewall-related bugs fixed.
	* Upload filename bug fixed (32bit).
	* GPF using Command-line fixed (16bit).
	* Too many others to list... Mostly in 32bit version.

Version 1.4 Final Beta 
	New Features
	------------
	* 32bit version (NT and Win95)
	* Not much else, mostly small bug fixes

Version 1.4 Beta 8

	New Features
	------------
	* Support for QVTNet, SuperTCP and most likely for 
	  other DOS/Win3.1 FTP servers.
	* Drag-drop extended to allow dropping files on InfoBar
	* Directory info command
	* Auto-index, Logical Parent and Use Firewall checkboxes 
	  in Site Edit dialog are now tri-state, with intermediate
	  state meaning "use default".
	
	Bug Fixes
	---------
	* Fixed a memory leak (wasn't fixed completely in Beta 7)
	* Fixed command-line processing. Tested with WS_Archie
	  (FTP Setup: cuteftp.exe host=%h anonym remote=%d get=%f)
	* Fixed index saving in cache.
	* Rewritten list-box drawing and management code. CuteFTP can now handle up to
	  30000 entries in a directory.
	* Fix double-login with firewalls
	* Fixed a bug with some weird use@site firewalls.
	* Fixed PASV mode.
	* Several minor bugs, don't remember which ones.



Version 1.4 Beta 7

	New features
	------------
	* Execute command (download a file and execute it's assosiated program)
	* VMS MultiNet FTP Server support
	* Dir change message browsing
	* Extended Firewall compatibility (not tested)
	* "Property sheet" style options dialog
	* Customizable tool-bar
	* Custom sounds (including WAV support)
	* Many new options

	Bug Fixes
	---------
	* Illegal filename chars substitution
	* Optimised cache saving (should reduce disk access when saving 
          cache files)
	* Fixed a memory allocation bug, which caused CuteFTP to allocate 
          large amounts of memory when running for a long time. This bug 
          could be the reason for many other problems.
	* Date display format is now consistent with Windows settings
	* Added management buttons in Sites Manager


Version 1.4 Beta 6

	Bug Fixes
	---------
	* "Can't connect" bug in Beta 5
	* No horizontal scroll bar in Beta 5
	* View command now active in local browser


Version 1.4 Beta 5

	New features
	------------
	* Drag-drop upload/download
	* Filter masks
	* FireWall support (not tested)
	* Sorting by file extensions
	* Transfer time stats display
	* Some new options

	Bug Fixes
	---------
	* Passive mode bug
	* Problem with TGV's MultiNet stack
	* Window position saving bug
	* Non-standard Windows color palette support
	* Display problem in Site Manager when in high-resolution mode
	* Local files time bug
	* Entirely rewritten UNIX directory parsing code.
	  Much more robust and smart now. Supports all UNIXes I've come
	  across, Novell FTP Server, SERV-U, WFTPD and most likely some
	  other %99 UNIX-compatible FTP servers.
	* FileNames with blanks are now supported



Version 1.4 Beta 4
	
	New features
	------------
	* Right Mouse Button invokes pop-up menus in Local and Remote
	  Browsers and in FTP Sites Manager list boxes
	* Drag-Drop in FTP Sites Manager
	* Import function for CuteFTP 1.3 and WS_FTP Site databases
	* Log level control options
	* Log session summary to file option
	* Quick Connect command
	* FTP Sites Manager can now be invoked during session in progress
	* Separate Show Date and Show Time options in File Details menu
	* Some other small changes...
	
	Bug Fixes
	---------
	* Revised date display format
	* Sorting by date bug in Local Browser and on NT systems
	* Local browser current directory tracking bug
	* Updated help file, thought it still needs some work
	* Several other minor bugs...

Version 1.4 Beta 3

	New features
	------------
	* Status change. CuteFTP is FREEWARE now!!!
	* Hierarhical host configurations manager.

	Bug fixes
	---------
	* Fixed incompatibility with Novell LAN WorkPlace


Version 1.4 Beta 2

	New features
	------------
	* Command-line options and scripting
	* Support for Windows NT native FTP Server

	Bug fixes
	---------
	* Upload doesn't work if Auto-detect transfer type is set in 
	  Connect dialog. Fixed.
	* Transfer type setting is now global (was separate for local 
          and remote)
	* Cannot read hosts entries if HOSTS.DAT file is read-only. Fixed.
